package com.bonus.hn.bearing.capacity.backstage.project.service;

import com.bonus.hn.bearing.capacity.backstage.companypro.entity.ProjectManagerBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.FileBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.ProgressBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface ProgressService {

    List<ProgressBean> getBasicDataList(ProgressBean o);

    ProgressBean getProTitleData(ProgressBean o);

    Map<String, Object> getTowerData(ProgressBean o);

    int updateProProgress(ProgressBean bean);

    Map<String, Object> getProcessTitles(ProgressBean o);

    List<ProgressBean> getProjectProgress(ProgressBean o);

    Map<String, Object> getTowerRecordTimeLine(ProgressBean o);

    List<ProgressBean> getPersonList(ProgressBean o);

    void insertFile(FileBean bean);

    List<FileBean> getFileList(FileBean o);

    int delFileRecordById(FileBean bean);

    List<ProgressBean> getExportList(ProgressBean b);

    Map<String, Object> getBackspaceTowerData(ProgressBean o);

    int updateBackspaceProProgress(ProgressBean bean);
}

